## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated using the scripts at https://pagure.io/fedora-cosmic/cosmic-packaging/blob/main/f/scripts

# While our version corresponds to an upstream tag, we still need to define
# these macros in order to set the VERGEN_GIT_SHA and VERGEN_GIT_COMMIT_DATE
# environment variables in multiple sections of the spec file.
%global commit cb8e6d653b5062e046e83b4670c3d9944fa39c39
%global commitdatestring 2024-10-31 12:00:42 -0600
%global cosmic_minver 1.0.0~alpha.3

Name:           cosmic-wallpapers
Version:        1.0.0~alpha.3
Release:        %autorelease
Summary:        Default wallpapers for the COSMIC Desktop Environment

# All cosmic wallpapers are either public domain or CC-BY-SA-4.0
License:        CC-BY-SA-4.0

URL:            https://github.com/pop-os/cosmic-wallpapers

Source0:        https://github.com/pop-os/cosmic-wallpapers/archive/epoch-%{version_no_tilde}/cosmic-wallpapers-%{version_no_tilde}.tar.gz

# https://github.com/pop-os/cosmic-wallpapers/pull/7
Patch0:         https://patch-diff.githubusercontent.com/raw/pop-os/cosmic-wallpapers/pull/7.patch

BuildArch:      noarch

BuildRequires:  make

%global _description %{expand:
%{summary}.}

%description %{_description}

%prep
%autosetup -n cosmic-wallpapers-epoch-%{version_no_tilde} -p1

%build

%install
# Set vergen environment variables
export VERGEN_GIT_COMMIT_DATE="date --utc '%{commitdatestring}'"
export VERGEN_GIT_SHA="%{commit}"
make install DESTDIR=%{buildroot} prefix=%{_prefix}

%files
%dir %{_datadir}/backgrounds/cosmic
%{_datadir}/backgrounds/cosmic/*
%license LICENSE

%changelog
## START: Generated by rpmautospec
* Sat Nov 02 2024 Ryan Brue <ryanbrue.dev@gmail.com> - 1.0.0~alpha.3-1
- "Update to 1.0.0~alpha.3"
## END: Generated by rpmautospec
